org.apache.ignite.internal.processors.cache.mvcc

## Class VacuumTask

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<VacuumMetrics>
  - - org.apache.ignite.internal.processors.cache.mvcc.VacuumTask

All Implemented Interfaces:
  IgniteInternalFuture<VacuumMetrics>

    public class VacuumTask
    extends GridFutureAdapter<VacuumMetrics>

Task for cleaning sing partition.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridDhtLocalPartition` `part()`
`MvccSnapshot` `snapshot()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### snapshot

    public MvccSnapshot snapshot()

Returns:
  Snapshot.

#### part

    public GridDhtLocalPartition part()

Returns:
  Partition to cleanup.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<VacuumMetrics>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019